aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-04 12:58:50 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-04 12:58:56 +0000
commit8b04cc5199ded248ac18049e1fee5d680539c47f (patch)
tree4a72d98deab77e113c68b6451e45eeaff0fa9976
parentc1b173ab3691dd53bbe12a09c696ac36a69262c1 (diff)
downloadaports-8b04cc5199ded248ac18049e1fee5d680539c47f.tar.gz
aports-8b04cc5199ded248ac18049e1fee5d680539c47f.tar.bz2
aports-8b04cc5199ded248ac18049e1fee5d680539c47f.tar.xz
testing/corebird: upgrade to 1.3
-rw-r--r--testing/corebird/APKBUILD48
-rw-r--r--testing/corebird/disable-gst-check.diff14
2 files changed, 37 insertions, 25 deletions
diff --git a/testing/corebird/APKBUILD b/testing/corebird/APKBUILD
index e2cc28726b..e8c5c86463 100644
--- a/testing/corebird/APKBUILD
+++ b/testing/corebird/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=corebird
-pkgver=1.2
+pkgver=1.3
pkgrel=0
pkgdesc="Corebird is a modern, easy and fun Twitter client"
url="http://corebird.baedert.org/"
@@ -10,36 +10,34 @@ license="GPL3"
depends=""
depends_dev=""
makedepends="gtk+3.0-dev rest-dev json-glib-dev sqlite-dev libsoup-dev libgee-dev
- vala tiff automake autoconf libtool intltool glib-dev libxml2-utils"
+ vala tiff automake autoconf libtool intltool glib-dev libxml2-utils file"
install=""
-subpackages="$pkgname-lang $pkgname-doc"
-source="${pkgname}-${pkgver}.tar.gz::https://github.com/baedert/$pkgname/archive/$pkgver.tar.gz"
options="libtool"
-
-_builddir=${srcdir}/${pkgname}-${pkgver}
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+subpackages="$pkgname-lang $pkgname-doc"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/baedert/$pkgname/archive/$pkgver.tar.gz
+ disable-gst-check.diff"
+builddir=${srcdir}/${pkgname}-${pkgver}
build() {
- cd "$_builddir"
- ./autogen.sh \
- --disable-video \
- --prefix=/usr || return 1
- make || return 1
+ cd "$builddir"
+ NOCONFIGURE=yes ./autogen.sh
+ patch -p1 < "$srcdir"/disable-gst-check.diff
+ ./configure \
+ --prefix=/usr \
+ --disable-video \
+ --disable-gst-check \
+ || return 1
+ make || return 1
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
}
-md5sums="7e0815a45f8c8a30007c3778a692254b corebird-1.2.tar.gz"
-sha256sums="b495f2232569a605cf3fd9c8ebc87633ba9645fb5b0a3ec00ac95736dbb15a9c corebird-1.2.tar.gz"
-sha512sums="fb71ac96e0e25aeacd5311d203d8f998eed8fb7dbc1d481881159d9aa71dd0bcaa7f2c5712eaf34174793f23ff6dff0f61088e2d47f4b1a3324fa3152f9f32f1 corebird-1.2.tar.gz"
+md5sums="800dbda002a28ae78eb6932fc403d3fb corebird-1.3.tar.gz
+353d6deeeccc22a835c731fb5ef0de4f disable-gst-check.diff"
+sha256sums="f4f86a2e898342297c2379c25b6274598d81d8983f185d98753725552f670860 corebird-1.3.tar.gz
+2537af03e67d3cec8a1b8ea8d86af2783070d38aab79c31ff75cc11c7c253101 disable-gst-check.diff"
+sha512sums="b938213812c7c31877798e80cad5485d09a9f3640722e924d35662613ed0651f4df6f915839d43eb18c0752df355fac152f3c28fc765b98afd21ae57dab5c03b corebird-1.3.tar.gz
+ce31141924a58b9081453b4c9490b22f2d039624a8f06d8f9418c5b8581cb8443a57db304d1112331dda547905cbe3df0c26f08f62ff78a2b210465fc3506e94 disable-gst-check.diff"
diff --git a/testing/corebird/disable-gst-check.diff b/testing/corebird/disable-gst-check.diff
new file mode 100644
index 0000000000..a6b9d2cde2
--- /dev/null
+++ b/testing/corebird/disable-gst-check.diff
@@ -0,0 +1,14 @@
+diff --git a/configure b/configure
+index 1be799c..8f9dd8b 100755
+--- a/configure
++++ b/configure
+@@ -12935,7 +12935,8 @@ fi
+
+ if test "$disable_gst_check" = "no"; then
+ # Check for gtksink
+- GST_ELEMENT_CHECK(gtksink, 1.0, , )
++ # GST_ELEMENT_CHECK(gtksink, 1.0, , )
++ return 0
+ fi
+
+